aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.GetBucketLocation

# Documentation

data GetBucketLocation #

Constructors

GetBucketLocation |
Fields gblBucket :: Bucket

Instances

Show GetBucketLocation # |
Methods showsPrec :: Int -> GetBucketLocation -> ShowS # show :: GetBucketLocation -> String # showList :: [GetBucketLocation] -> ShowS #
SignQuery GetBucketLocation # |
Associated Types type ServiceConfiguration GetBucketLocation :: * -> * # Methods signQuery :: GetBucketLocation -> ServiceConfiguration GetBucketLocation queryType -> SignatureData -> SignedQuery #
Transaction GetBucketLocation GetBucketLocationResponse # |
type ServiceConfiguration GetBucketLocation # |
type ServiceConfiguration GetBucketLocation = S3Configuration

getBucketLocation :: Bucket -> GetBucketLocation #

data GetBucketLocationResponse #

Constructors

GetBucketLocationResponse |
Fields gblrLocationConstraint :: LocationConstraint

Instances

Show GetBucketLocationResponse # |
Methods showsPrec :: Int -> GetBucketLocationResponse -> ShowS # show :: GetBucketLocationResponse -> String # showList :: [GetBucketLocationResponse] -> ShowS #
AsMemoryResponse GetBucketLocationResponse # |
Associated Types type MemoryResponse GetBucketLocationResponse :: * # Methods loadToMemory :: GetBucketLocationResponse -> ResourceT IO (MemoryResponse GetBucketLocationResponse) #
Transaction GetBucketLocation GetBucketLocationResponse # |
ResponseConsumer r GetBucketLocationResponse # |
Associated Types type ResponseMetadata GetBucketLocationResponse :: * # Methods responseConsumer :: Request -> r -> IORef (ResponseMetadata GetBucketLocationResponse) -> HTTPResponseConsumer GetBucketLocationResponse #
type MemoryResponse GetBucketLocationResponse # |
type MemoryResponse GetBucketLocationResponse = GetBucketLocationResponse
type ResponseMetadata GetBucketLocationResponse # |
type ResponseMetadata GetBucketLocationResponse = S3Metadata